:root {
	--primary-color:              #121212;
	--content-slider:             600px;
	--nav-link-color:             #333;
}

body.no_scroll{
	overflow: hidden;
}

.markdown h2 {
	margin-block-start: 2.5rem;
	margin-block-end: 2.5rem;
	font-size: 1.75em; /* 16px -> 28px */
	font-weight: bold;
	line-height: 1.25;
	text-align: initial;
	word-break: auto-phrase;
}

/* タイトルヘッダー */
header .default .content .title{
    font-size: 2.8em;
    font-family: "Parisienne", cursive;
    font-weight: 500;
    font-style: normal;
}
header .default .content .title_name{
    width:400px;
    height:80px;
    background-image:url(../img/site_title.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    animation-name: huerotator;
    animation-duration: 5s;
    animation-timing-function: linear;
    animation-direction: alternate-reverse;
    animation-iteration-count: infinite;
    display: flex;
    align-items: center;
    justify-content: center;
}

@keyframes huerotator {
	0% {
	  -webkit-filter: hue-rotate(0deg);
	  filter: hue-rotate(0deg);
	}
  
	100% {
	  -webkit-filter: hue-rotate(180deg);
	  filter: hue-rotate(180deg);
	}
}

/* 検索ボックス */
form.search{
  box-sizing: border-box;
  position: relative;
  border: 2px solid #999;
  padding: 1px 1px;
  border-radius: 5px;
  height: 2.3em;
  width: 260px;
  overflow: hidden;
  margin-inline-start: auto;
}
.search input[type="search"]{
  border: 1px solid #999;
  border-radius: 5px;
  height: 2.0em;
}
.search input[type="search"]:focus {
  outline: 0;
}
/*検索ボタン*/
.search input[type="submit"]{
  cursor: pointer;
  font-family: FontAwesome;
  border: none;
  background: #3879D9;
  color: #fff;
  position: absolute;
  width: 3.5em;
  height: 3.0em;
  right:0px;
  top: -3px;
  outline : none;
}
span.searchBtn {
  font-family: FontAwesome;
  font-size: 1.2em;
  border: 2px solid #999;
  background: #3879D9;
  color: #fff;
  width: 4.5em;
  height: 4.0em;
  outline : none;
}

.markdown h2 {
    position: relative;
    padding: .3em 0 .2em 1em;
    border-bottom: 3px solid #2589d0;
    color: #333333;
}
.markdown h2::before {
    position: absolute;
    top: 0;
    left: .3em;
    transform: rotate(55deg);
    height: 11px;
    width: 12px;
    background: #2589d0;
    content: '';
}
.markdown h2::after {
    position: absolute;
    transform: rotate(15deg);
    top: .6em;
    left: 0;
    height: 8px;
    width: 8px;
    background: #2589d0;
    content: '';
}
.markdown h3 {
    padding: .5em .7em;
    border-left: 5px solid #2589d0;
    border-bottom: 3px solid #d2d2d2;
    background-color: #f2f2f2;
    color: #333333;
}
.markdown h4 {
    padding:0 .4em .2em;
    border-bottom: 3px solid #2589d0;
    background-color: #ffffff;
    color: #333333;
}



/*トップメニュー*/
 .markdown p.nav {
	font-size: 1.4em;
	font-weight: bold;
}



/*パンくずリスト*/
nav{
	box-sizing: border-box;
	max-width: var(--content-width);
	margin:0 auto;
}
.breadcrumb {
    display: flex;
    gap: 0 5px;
    list-style: none;
    padding: 4px 0 6px 18px;
    border-radius: 3px;
    overflow: hidden;
    background-color: #2589d0;
    font-size: .9em;
    color:#fff;
}

.breadcrumb ol{
	margin: 0;
}

.breadcrumb li {
    display: flex;
    align-items: center;
    position: relative;
    padding-right: 20px;
}

.breadcrumb li:first-child a::before {
    display: inline-block;
    width: 2em;
    height: 2em;
    margin-right: 2px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M20 20C20 20.5523 19.5523 21 19 21H5C4.44772 21 4 20.5523 4 20V11L1 11L11.3273 1.6115C11.7087 1.26475 12.2913 1.26475 12.6727 1.6115L23 11L20 11V20ZM11 13V19H13V13H11Z' fill='%23fff'%3E%3C/path%3E%3C/svg%3E");
    background-repeat: no-repeat;
    vertical-align: text-bottom;
    content: '';
}

.breadcrumb li:not(:last-child)::before,
.breadcrumb li:not(:last-child)::after{
    position: absolute;
    width: 0;
    height: 0;
    border-top: 20px solid transparent;
    border-bottom: 20px solid transparent;
    content:'';
}

.breadcrumb li:not(:last-child)::before{
    right: 0;
    border-left: 10px solid #fff;
}

.breadcrumb li:not(:last-child)::after{
    right: 2px;
    border-left: 10px solid #2589d0;
}

.breadcrumb a {
    color: #fff;
    text-decoration: none;
}
/*****************************/
/*top top_image*/
p.images-only{
    margin: 0 auto;
    text-align : center;
    width:100%;
}
p.images-only img.top_image{
    margin: 0 auto;
    width:80%;
    height:auto;
    max-width:500px;
}
/********novel illust**********/

p.images-only img.illust{
    margin: 0 auto;
    width:100%;
    height:auto;
    max-width:500px;
}

p.images-only img.illustMini{
    margin: 0 auto;
    width:100%;
    height:auto;
    max-width:250px;
}
/*****************************/

/* Slider */
#gallery {
    width: 100%;
    height:50%;
    margin: 0 auto;
    padding: 0;
    text-align: center;
    display: flex;
    flex-direction: column;
}
#gallery .swiper, .swipe2{
	width: 750px;
	height: 500px;
	margin: 0 auto;
    padding: 0;
	text-align: center;
    line-height: 0.4;
    background-color: aquamarine;
}

#gallery .swiper2{
	height: 300px;
}
.galleryTitle{
    margin: 0 auto;
    padding: 0;
    line-height: 0.4;
}

.galleryTitle h2{
    font-size: 2.0em;
    text-align: center;
}
.galleryTitle h3{
    font-size: 1.6em;
    text-align: center;
}

.swiper-slide {
    background:var(--main-background-color);
    padding: 0;
}
.swiper img{
	margin: 0 auto;
	width: 650px;
	height: 450px;
	object-fit: contain;
}
.slideTitle{
    margin: 0 auto;
    padding: 0;
    font-size: 1.6em;
    line-height: 0.1;
}
.slideText{
	margin: 0 auto;
    text-align: left;
    padding: 0 20px;
    font-size: 1.2em;
	width: 550px;
	height: 250px;
	background:var(--main-background-color);
}

/* タブレット向け（768px以上） */
@media screen and (min-width: 768px) {
  #gallery{
    width: 750px;
    margin: 0 auto;
  }
  
}
 
/* PC向け（1025px以上） */
@media screen and (min-width: 1025px) {
  #gallery {
    width: 1000px;
  }
}
/*
Page TOPボタン
*/
.pagetop-btn {
  position: fixed;
  width: 68px;
  height: 68px;
  border: solid 3px #ceecfc;
  border-radius: 50%;
  background: #0192df;
  cursor: pointer;
  right: 20px;
  bottom: 20px;
  z-index: 1000;
  opacity: 0;
  color: #f2f2f2;
  font-size: 16px;
  transform: translateY(100px);
  transition: opacity 0.3s, transform 0.3s;
  padding-top: 20px;
  opacity: 0.9;
}

.pagetop-btn::before {
  content: "";
  display: block;
  width: 10px;
  height: 10px;
  border-left: 5px solid #f2f2f2;
  border-top: 5px solid #f2f2f2;
  position: absolute;
  top: 30%;
  left: 50%;
  transform: translate(-50%, -25%) rotate(45deg);
}

.pagetop-btn.visible {
  opacity: 1;
  transform: translateY(0);
}


/*
新着情報
*/
.news a {
    text-decoration: none; /* 下線を消す */
    color:#1a1a1a;
    font-weight: bold;
}
ul.news-list {
  padding-left: 0; margin: 0;
  display: flex;
  line-height: normal;
}

ul.news-list li{
  padding-left: 0;
  margin: 0;
  font-size: 1.0rem;
  border-bottom:1px dotted #000;
  width:500px;
  display:block;
  text-align:left;
  line-height: 1.5em;
}
span.news-categry {
  background-color:#000202;
  border-radius:3px;
  color:#fff;
  font-size: 0.9rem;
  display:inline-block;
  margin-right:5px;
  padding:1px 15px;
  border-radius: 20px;
}
time.news-date{
  display: inline-block;
  margin-right:10px;
}

p.news-txt{
  display: inline-block;
}

p.news-new{
  display: inline-block;
}
.news-new::after{
  content:"NEW";
  color: #d10606;
  font-size: 0.8rem;
  border: 1px solid #d10606;
  padding: 4px 8px;
  margin: 0 0 0 20px;
  display: inline-block;
  line-height: 1;
}
/*ブログ ページャー */
.blog-pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0 8px;
    list-style-type: none;
    padding: 0;
}

.blog-pagination a {
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2em;
    height: 2em;
    border: 1px solid #519cd2;
    border-radius: 1px;
    color: #519cd2;
}

.blog-pagination a[tabindex="-1"] {
    color: gray;
    border: 1px solid gray;
    text-decoration: none;
    cursor: default;
    pointer-events: none;
}
.blog-pagination a[tabindex="-1"]:focus {
    outline: none;
}


.blog-pagination a:not(:hover) {
    text-decoration: none;
}

.blog-pagination .current a {
    background-color: #519cd2;
    color: #fff;
    pointer-events: none;
}
/* modal-dialog */

.modal {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    display: none;
    animation: modal-animation .6s;
}

.modal__content-wrap {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    max-width: 540px;
    background-color: #fefefe;
    z-index: 2;
    border-radius: 5px;
}
.modal__content {
    max-height: 50vh;
    overflow-y: auto;
    padding: 10px 45px 40px;
    border: ridge 10px #c80c0c;
}

.modal__content .header {
    background-color: #e73b3b;
    color: #ffffff;
    padding: 2px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.4em;
}
.modal__content .text {
    font-size: 1.2em;
    font-weight:bold;
    padding: 10px 10px;
}
.modal__background {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .85);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    z-index: 1;
    
}

@keyframes modal-animation {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@media only screen and (max-width: 520px) {
    .modal__open-label {
        max-width: 90%;
        padding: .94em 2.1em .94em 2.6em;
    }

    .modal__close-label {
        top: -17px;
        right: -4%;
    }

    .modal__content-wrap {
        width: 90vw;
    }

    .modal__content {
        padding: 33px 21px 35px;
        max-width: 100%;
    }
}


/* btn-chk */
.button-group {
  display: flex;
  gap: 1px;
  padding: 10px 10px;
}
.btn-chk {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    margin:0 auto;
    padding: .2em 2em;
    border: none;
    border-radius: 5px;
    color: #fff;
    font-weight: 600;
    font-size: 1em;
    transition: .1s ease;
}

.btn-chk.yes {
    background-color: #2589d0;
    border-bottom: solid 5px #0059a0;
}

.btn-chk.no {
    background-color: #d02550;
    border-bottom: solid 5px #a30029;
}

.btn-chk:active {
    transform: translateY(3px);
    border-bottom-width: 2px;
}
/* モザイク */
.mosaic{
  filter: blur(10px);
}
/*フッター全体を囲むブロック*/
.footer-parts {
	text-align: center;	/*テキストを中央に*/
	font-size: 0.8rem;	/*文字サイズ80%*/
	display: flex;
	flex-direction: column;	/*縦積み*/
	gap: 0.5rem;	/*ブロック同士の間に空けるスペース。0.5文字分。*/
    background-image:url(../img/site_title.png);
    background-repeat: no-repeat;
    background-position: top;
    background-color:rgba(255,255,255,0.2);
    background-blend-mode: saturation;
}

/*フッターメニュー*/
.footer-parts ul.menu-parts {
	list-style: none;
	margin: 0;padding: 0;
	display: flex;	/*メニューを横並びに*/
	gap: 0 5rem;	/*メニュー同士の間に空けるスペース。5文字分。*/
	flex-wrap: wrap;
	justify-content: center;
}
.footer-parts ul.menu-parts a {
    color: #000;
    font-size: 1.4em;
}
/* Copyright部分 */
.footer span {
	margin-bottom: 1rem;	/*下に1文字分のスペース*/
    display: inline;
}
.Copyright{
    font-size: 1.2em;
}
address {
	display: inline;
	font-style: normal;
    color :var(--text-black-color);
}
address a{
    color :var(--text-black-color);
}
/* SNSアイコン */
.sns-parts {
	list-style: none;
	margin: 0;padding: 0;
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;		/*アイコン同士のマージン的な要素。１文字分。*/
	justify-content: center;
}
.sns-parts a {
    color: initial;
}
.sns-parts a:hover{
    color: initial;
}

.sns-parts i {
	font-size: 35px;	/*アイコンサイズ*/
}
i.fa-x-twitter{
    color: #000;
}
i.fa-pixiv{
    color: #0096fa;
}

